class OxBackgroundJob < AbstractResource
  self.table_name = 'delayed_jobs'
  establish_connection ((Rails.env=="development") ? :dev_oxen_tables : :oxen_tables )

  belongs_to :account

  # to make show_resource_delete_icon happy
  def name
    'dj'
  end

  def show_handler
    parms = YAML::load( handler).job_data["arguments"][0]['_aj_globalid']
    [parms.gsub(/^.*mgmt/,''), parms.split("/")[-2].constantize.find(parms.split("/")[-1])]
  end

end
